DOMImplementation::__construct
DOMImplementation::createDocumentType
DOMImplementation
PHP Manual

# DOMImplementation::createDocument

(PHP 5, PHP 7)

DOMImplementation::createDocument — Creates a DOMDocument object of the specified type with its document element

### Description

public DOMDocument DOMImplementation::createDocument ([ string `$namespaceURI` = `NULL` [, string `$qualifiedName` = `NULL` [, DOMDocumentType `$doctype` = `NULL` ]]] )

Creates a DOMDocument object of the specified type with its document element.

### Parameters

`namespaceURI`

  The namespace URI of the document element to create.

`qualifiedName`

  The qualified name of the document element to create.

`doctype`

  The type of document to create or `NULL`.

### Return Values

A new DOMDocument object. If `namespaceURI`, `qualifiedName`, and `doctype` are null, the returned DOMDocument is empty with no document element

### Errors/Exceptions

`DOM_WRONG_DOCUMENT_ERR`

  Raised if `doctype` has already been used with a different document or was created from a different implementation.

`DOM_NAMESPACE_ERR`

  Raised if there is an error with the namespace, as determined by `namespaceURI` and `qualifiedName`.

This method may be called statically, but will issue an `E_STRICT` error.

### See Also

- DOMDocument::__construct() - Creates a new DOMDocument object
- DOMImplementation::createDocumentType() - Creates an empty DOMDocumentType object

DOMImplementation::__construct
DOMImplementation::createDocumentType
DOMImplementation
PHP Manual